SDL_SetSurfaceColorMod(3)

NAME
SDL_SetSurfaceColorMod - Set an additional color value multiplied into blit operations.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetSurfaceColorMod(SDL_Surface *surface, Uint8 r, Uint8 g, Uint8 b);

DESCRIPTION
When this surface is blitted, during the blit operation each source color channel is modulated by the appropriate color value according to the following formula: srcC=srcC*(color/255)

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to update.

r   the red color value multiplied into blit operations.

g   the green color value multiplied into blit operations.

b   the blue color value multiplied into blit operations.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetSurfaceColorMod(3), •(3), SDL_SetSurfaceAlphaMod(3)